Subject: Re: I-D ACTION:draft-ietf-fax-terminal-mode-goals-00.txt

From: "MAEDA Toru" <[email-masked]>
Date: Tue, 03 Jul 2001 09:53:27 +0200

Wing-san

> If you want something easier than T.38, IPP exists.  IPP can be enhanced as
> needed to support the features necessary to replicate fax.
> 

Do you mean that "IPP" is IPP FAX?

Regards.

Toru Maeda

Dan Wing wrote:
> 
> Yes, shared code is good.
> 
> "Fax terminal mode" is an end-to-end service which has much more in common
> with PSTN fax and T.38 fax than the SMTP model of multiple hops, storing mail,
> mailing lists, etc.
> 
> IPP has more in common with transmitting documents than SMTP, and I still say
> that IPP can provide something more closer approaching the goals of "fax
> terminal mode" than SMTP.
> 
> For universal messaging, T.37/RFC2305 is the way to go.  For duplication of
> exact fax functionality on an IP network, T.38 is the way to go.  While T.38
> is more difficult than an IETF text-based protocol, forcing SMTP to
> essentially do 'SAML' (everyone by Dave, see RFC821 for a description of SAML)
> across multiple hops is hard.
> 
> If you want something easier than T.38, IPP exists.  IPP can be enhanced as
> needed to support the features necessary to replicate fax.
> 
> -d
> 
> > -----Original Message-----
> > From: Dave Crocker [mailto:[email-masked]]
> > Sent: Saturday, June 30, 2001 7:55 AM
> > To: Dan Wing
> > Cc: MAEDA Toru; [email-masked]
> > Subject: RE: I-D ACTION:draft-ietf-fax-terminal-mode-goals-00.txt
> >
> >
> > At 01:39 PM 6/28/2001, Dan Wing wrote:
> > >I'm unclear on why the ability to fallback requires the original
> > attempt be in
> > >SMTP.
> >
> >
> > The more the modes have in common, the more code they share.  That means
> > that the different modes have less to implement.
> >
> > There also might be operational impact, such as retaining an SMTP
> > connection.
> >
> > Retaining interworking with email continues to be a nice ability, too.
> >
> > It also makes it easier to evaluate the efficacy of each, different
> > mode.  The fewer modes the better/simpler.
> >
> > d/
> >
> > ----------
> > Dave Crocker  <mailto:[email-masked]>
> > Brandenburg InternetWorking  <http://www.brandenburg.com>
> > tel +1.408.246.8253;  fax +1.408.273.6464
> >

-- 
***********************************
MAEDA TORU
Canon Research Centre France S.A.
***********************************

---

From: "Terry Brookes" <[email-masked]>
Date: Tue, 03 Jul 2001 08:29:44 -0400

Hi
I'd re-phrase the following-
>IPP exists. <

This would be more accurate-
>IPP barely exists<

Also 'IPP FAX' certainly does NOT exist...yet.

IPP also requires infrastrucure in the form of IPP servers, so it may not 
meet the stated requirements of 'using existing infrastructure'.

If SMTP really doesn't work for fax terminal mode then strategicaly the new 
Windows Instant Messenger could be a much better bet. It's likely to become 
a de facto standard for the non-AOL IM's, and with IM you get an instant 
response that should allow replication of T30 with great simplicity. You 
also get SIP with Windows IM, which could allow discovery of the 
capabilities of the receiving fax terminal, probably even give you the color 
of the operator's hair.

Terry Brookes
www.polyteq.com

>From: "Dan Wing" <[email-masked]>
>To: "Dave Crocker" <[email-masked]>
>CC: "MAEDA Toru" <[email-masked]>, <[email-masked]>
>Date: Sat, 30 Jun 2001 17:42:39 -0700
>
>

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com

---

From: "McDonald, Ira" <[email-masked]>
Date: Tue, 3 Jul 2001 10:27:47 -0700

Hi Terry,

Do you just dislike IPP?

For IPP Fax to work, IPP does NOT need to be ubiquitous.  It just
needs to be ubiquitous in deployed PRINTERS.  Very few printers
shipped in calendar 2001 that did not have IPP protocol support.
Probably NONE will ship in calendar 2002 without IPP protocol
support.

I agree that SMTP is ubiquitous, but it doesn't (and can't ever)
do realtime capabilities negotiation, by its very nature.

Certainly such protocols as IMPP (your suggestion) are utterly
inappropriate for sending large documents by VALUE (like IPP)
and not by REFERENCE.

Could you explain your implacable opposition to IPP Fax, please?

Cheers,
- Ira McDonald, consulting architect at Sharp and Xerox
  High North Inc

-----Original Message-----
From: Terry Brookes [mailto:[email-masked]]
Sent: Tuesday, July 03, 2001 8:30 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: I-D ACTION:draft-ietf-fax-terminal-mode-goals-00.txt

Hi

of the operator's hair.

Terry Brookes
www.polyteq.com

---

From: "Terry Brookes" <[email-masked]>
Date: Thu, 05 Jul 2001 06:34:01 -0400

Hi Ira,

>Do you just dislike IPP?
Nope, think it's great and would like to see a URI on every business card, 
but from a business standpoint it doesn't look like a very good way of 
meeting Mr Maeda's requirements. As far as I can tell he's looking for a way 
to use the popularity of e-mail as the basis for a simple low cost T30-like 
internet fax machine to replace the 100 million or so traditional fax 
machines in use. There are estimated to be half a billion fax users, this, 
presumably, is the target market. I believe its a reasonable assumption that 
a very large proportion of these users now have e-mail addresses; a rapidly 
growing number use Instant Messaging ( a number which will accelerate 
dramaticaly when Windows XP appears); but only a very small and exclusive 
group (the IPP developers ? printer manufacturers ?) appears to have any 
knowledge whatsoever of IPP. From a technical standpoint Dan's proposal of 
IPP may be OK, from a marketing standpoint it doesn't look like a very good 
idea because the user won't have anyone to send to, because, despite the 
valiant efforts of IPP people, hardly anyone actualy uses it. IM could (not 
would!) be a better bet on the basis that it could work very much like T30 
AND have a large number of people already using it. Not IMPP, which the Blue 
Window Software Corporation (Redmond WA) is in the process of killing, but 
Windows IM which will probably be the de facto IM standard by the time Mr 
Maeda's machine is ready for production.
My own belief is that FOIP will only be successfull if it's as easy to use 
as a regular fax machine. POP/SMTP has proved to be much too complex to set 
up, IPP doesn't have a user base even if it *is* imbedded in every printer, 
so maybe IM will be the answer...who knows?

Terry

>From: "McDonald, Ira" <[email-masked]>
>To: "'Terry Brookes'" <[email-masked]>, [email-masked]
>CC: [email-masked], [email-masked], [email-masked]
>Date: Tue, 3 Jul 2001 10:27:47 -0700
>
>
>Hi Terry,
>
>Do you just dislike IPP?
>

---

From: "McDonald, Ira" <[email-masked]>
Date: Sat, 14 Jul 2001 08:57:54 -0700

Hi,

The following reply was lost due to the size of the attachment,
but the URL for the attachment is in the message.

Cheers,
- Ira McDonald, consulting architect at Sharp and Xerox
  High North Inc
-----------------------------
This message was too long. Please send it again without attaching the 
large PDF file.

>  >From owner-ietf-fax Wed Jul 11 09:00:56 2001
>Received: from sharplabs.com (gatekeeper.sharplabs.com [216.65.151.101])
>	by above.proper.com (8.11.3/8.11.3) with ESMTP id f6BG0tm27020
>	for <[email-masked]>; Wed, 11 Jul 2001 09:00:55 -0700 (PDT)
>Received: from admsrvnt02.enet.sharplabs.com (admsrvnt02 [172.29.225.253])
>	by sharplabs.com (8.9.3+Sun/8.9.2) with ESMTP id JAA10977;
>	Wed, 11 Jul 2001 09:00:12 -0700 (PDT)
>Received: by webmail.sharplabs.com with Internet Mail Service (5.5.2653.19)
>	id <N527VLD6>; Wed, 11 Jul 2001 08:50:35 -0700
>Message-ID: 
><[email-masked]>
>To: "'MAEDA Toru'" <[email-masked]>, Dan Wing <[email-masked]>
>Cc: [email-masked]
>Date: Wed, 11 Jul 2001 08:50:33 -0700
>MIME-Version: 1.0
>X-Mailer: Internet Mail Service (5.5.2653.19)
>Content-Type: multipart/mixed;
>	boundary="----_=_NextPart_000_01C10A21.38254650"
>
>This message is in MIME format. Since your mail reader does not understand
>this format, some or all of this message may not be legible.
>
>------_=_NextPart_000_01C10A21.38254650
>Content-Type: text/plain;
>	charset="iso-2022-jp"
>
>Hi,
>
>At the last IPP interoperability test, firewalls and proxies
>that supported IPP were all successfully tested.  See the
>attached summary, which is available at the PWG FTP server:
>
>ftp://ftp.pwg.org/pub/pwg/ipp/new_TES/Bake-Off-3-Summary.pdf
>
>It should be noted that in-bound IPP connections (from the public
>Internet across a firewall into an enterprise) have most of the
>same security problems associated with in-bound SMTP connections.
>
>Some vendors of production print services plan to let customers
>submit jobs via IPP, but the terminus of the IPP connection will
>be in a special-purpose server OUTSIDE the print vendor's firewall
>(for security reasons).
>
>IPP strong security uses TLS, which means that there MUST be an
>application layer gateway at the firewall, or no enterprise data
>network protection is possible (because the IPP traffic may be
>encrypted in the TLS layer).
>
>I agree with Dan Wing that IPP Fax is probably more suitable than
>SMTP as a transport for ITU-like realtime fax service.  The
>PWG IPP Fax WG has very carefully chosen to be consistent in
>data formats (the Internet Fax TIFF-FX profiles) and capabilities
>discovery (CONNEG) with existing Internet Fax modes, in order to
>facilitate gateways.
>
>Cheers,
>From: MAEDA Toru [mailto:[email-masked]]
>Sent: Monday, July 09, 2001 5:08 AM
>To: Dan Wing
>Cc: [email-masked]
>Subject: Re: I-D ACTION:draft-ietf-fax-terminal-mode-goals-00.txt
>
>
>
>Hi, Wing-san
>
>Sorry for slow responce.
>
>Can IPP and IPP-fax protocol go through under the current firewall
>configurations?
>
>
>Regards.
>
>Toru Maeda
>
>
>